CrmServiceClient.ExecuteCrmWebRequest Method
Definition
Important
Some information relates to prerelease product that may be substantially modified before it’s released. Microsoft makes no warranties, express or implied, with respect to the information provided here.
Executes a web request against Xrm WebAPI.
public System.Net.Http.HttpResponseMessage ExecuteCrmWebRequest (System.Net.Http.HttpMethod method, string queryString, string body, System.Collections.Generic.Dictionary<string,System.Collections.Generic.List<string>> customHeaders, string contentType = default);
member this.ExecuteCrmWebRequest : System.Net.Http.HttpMethod * string * string * System.Collections.Generic.Dictionary<string, System.Collections.Generic.List<string>> * string -> System.Net.Http.HttpResponseMessage
Public Function ExecuteCrmWebRequest (method As HttpMethod, queryString As String, body As String, customHeaders As Dictionary(Of String, List(Of String)), Optional contentType As String = Nothing) As HttpResponseMessage
Parameters
- method
- HttpMethod
Method to use for the request
- queryString
- String
Here you would pass the path and query parameters that you whish to pass onto the WebAPI.
The format used here is as follows:
{APIURI}/api/data/v{instance version}/querystring.
For example,
if you wanted to get data back from an account, you would pass the following:
accounts(id)
which creates: get - https://myinstance.crm.dynamics.com/api/data/v9.0/accounts(id)
if you were creating an account, you would pass the following:
accounts
which creates: post - https://myinstance.crm.dynamics.com/api/data/v9.0/accounts - body contains the data.
- body
- String
Content your passing to the request
- customHeaders
- Dictionary<String,List<String>>
Headers in addition to the default headers added by for Executing a web request
- contentType
- String
Content Type attach to the request. this defaults to application/json if not set.